var image_1;
var image_2;
var image_3;
var image_4;
var image_5;
var image_6;
var image_7;
var image_8;
var image_9;
var image_10;
var image_11;
var image_12;
var image_13;
var image_14;
var image_15;
var image_16;
var image_17;
var image_18;
var image_19;
var image_20;
var image_21;
var image_22;
var image_23;
var image_24;
var arraySVGObject = [];

createArraySVGObject = function () {
    //id, name, type, width_x, width_y, start_height, height, offset_x, offset_y
    var arraySVGObject1 = [1, "1wingDoorRight", TYPE_DOOR, converMMtoPX(910), converMMtoPX(60), 0, converMMtoPX(1780), 0, 200];
    var arraySVGObject2 = [2, "1wingDoorLeft", TYPE_DOOR, converMMtoPX(910), converMMtoPX(60), 0, converMMtoPX(1780), 0, 200];
    var arraySVGObject3 = [3, "stepDoor", TYPE_STEPPER, converMMtoPX(900), converMMtoPX(200), 0, converMMtoPX(1780), 0, 200];
    var arraySVGObject4 = [4, "window", 5, 59, 60, 300, 0, 0, 20];

    var arraySVGObject5 = [5, "smallwindow", TYPE_WINDOW, converMMtoPX(910), converMMtoPX(100), converMMtoPX(300), converMMtoPX(1200), 0, 10];
    var arraySVGObject6 = [6, "normalwindow", TYPE_WINDOW, converMMtoPX(1820), converMMtoPX(200), converMMtoPX(300), converMMtoPX(1200), 0, 10];
    var arraySVGObject7 = [7, "sidewall", 6, 10, 90, 0, 0, 0, 10];
    var arraySVGObject8 = [8, "sidewall", 6, 10, 90, 0, 0, 0, 20];
    var arraySVGObject9 = [9, "sidewall", 6, 10, 90, 0, 0, 0, 20];
    var arraySVGObject10 = [10, "pillar", 6, 10, 90, 0, 0, 0, 10];
    var arraySVGObject11 = [11, "pillar", 6, 10, 90, 0, 0, 0, 10];
    var arraySVGObject12 = [12, "wall", 6, 5, 90, 0, 0, 0, 10];
    var arraySVGObject13 = [13, "1wingDoorRight", TYPE_DOOR, converMMtoPX(60), converMMtoPX(910), 0, converMMtoPX(1780), 200, 0];
    var arraySVGObject14 = [14, "1wingDoorLeft", TYPE_DOOR, converMMtoPX(60), converMMtoPX(910), 0, converMMtoPX(1780), 200, 0];
    var arraySVGObject15 = [15, "stepDoor", TYPE_STEPPER, converMMtoPX(200), converMMtoPX(900), 0, converMMtoPX(1780), 200, 0];
    var arraySVGObject16 = [16, "window", 5, 60, 59, 300, 0, 20, 0];
    var arraySVGObject17 = [17, "smallwindow", TYPE_WINDOW, converMMtoPX(100), converMMtoPX(910), converMMtoPX(300), converMMtoPX(1200), 10, 10];
    var arraySVGObject18 = [18, "normalwindow", TYPE_WINDOW, converMMtoPX(200), converMMtoPX(1820), converMMtoPX(300), converMMtoPX(1200), 10, 10];
    var arraySVGObject19 = [19, "sidewall", 6, 90, 10, 0, 0, 10, 10];
    var arraySVGObject20 = [20, "sidewall", 6, 90, 10, 0, 0, 20, 0];
    var arraySVGObject21 = [21, "sidewall", 6, 90, 10, 0, 0, 20, 0];
    var arraySVGObject22 = [22, "pillar", 6, 90, 10, 0, 0, 10, 0];
    var arraySVGObject23 = [23, "pillar", 6, 90, 10, 0, 0, 10, 0];
    var arraySVGObject24 = [24, "wall", 6, 90, 5, 0, 0, 10, 0];

//    arraySVGObject = [arraySVGObject1, arraySVGObject2, arraySVGObject4, arraySVGObject5, arraySVGObject6, arraySVGObject7, arraySVGObject8, arraySVGObject9, arraySVGObject10, arraySVGObject11, arraySVGObject12,
//                      arraySVGObject13, arraySVGObject14, arraySVGObject15, arraySVGObject16, arraySVGObject17, arraySVGObject18, arraySVGObject19, arraySVGObject20, arraySVGObject21, arraySVGObject22, arraySVGObject23, arraySVGObject24];
    arraySVGObject = [arraySVGObject1, arraySVGObject2, arraySVGObject3, arraySVGObject5, arraySVGObject6,
        arraySVGObject13, arraySVGObject14, arraySVGObject15, arraySVGObject17, arraySVGObject18];

    return arraySVGObject;
};

function Comparator(a, b) {
    if (a[0] < b[0]) {
        return -1;
    } else if (a[0] > b[0]) {
        return 1;
    } else {
        return 0;
    }
}

getArraySVGObject = function (id) {
    for (i = 0; i < arraySVGObject.length; i++) {
        if (arraySVGObject[i][0] == id) {
            return arraySVGObject[i];
            break;
        }
    }
};

deleteArraySVGObject = function (id) {
    for (i = 0; i < arraySVGObject.length; i++) {
        if (arraySVGObject[i][0] == id) {
            arraySVGObject.splice(i, 1);
            return arraySVGObject;
            break;
        }
    }
};

updateArraySVGObject = function (id, name, type, width_x, width_y, start_height, height, offset_x, offset_y) {
    arraySVGObject.deleteArraySVGObject(id);
    arraySVGObject.push([id, name, type, width_x, width_y, start_height, height, offset_x, offset_y]);

    arraySVGObject = arraySVGObject.sort(Comparator);
    return arraySVGObject;
};

setArraySVGObject = function (name, type, width_x, width_y, start_height, height, offset_x, offset_y) {
    var length = arraySVGObject.length;
    arraySVGObjectLastElement = arraySVGObject[length - 1];
    arraySVGObject.push([arraySVGObjectLastElement[0] + 1, name, type, width_x, width_y, start_height, height, offset_x, offset_y]);

    arraySVGObject = arraySVGObject.sort(Comparator);
    return arraySVGObject;
};


function createImage_1(stage, x, y, width, height) {
    stage.removeChild(image_1);
    image_1 = new createjs.Shape();
    image_1.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .drawRect(0, 0, width, width/10)
        .setStrokeDash([5, 5])
        .moveTo(0, 0).lineTo(0, -width)
        .arc(0, 0, width, 1.5 * Math.PI, 0 * Math.PI)
        .endStroke();
    image_1.x = x;
    image_1.y = y;
    image_1.width = width;
    image_1.height = height;
    image_1.cursor = "pointer";
    
    image_1.settedFlag = false;
    
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_2(stage, x, y, width, height) {
    stage.removeChild(image_2);
    image_2 = new createjs.Shape();
    image_2.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .drawRect(0, 0, width, width/10)
        .setStrokeDash([5, 5])
        .moveTo(0, 0)
        .arc(width, 0, width, 1 * Math.PI, 1.5 * Math.PI)
        .lineTo(width, 0)
        .endStroke();
    image_2.x = x;
    image_2.y = y;
    image_2.width = width;
    image_2.height = height;
    image_2.cursor = "pointer";
    
    image_2.settedFlag = false;
    
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_3(stage, x, y, width, height) {
    stage.removeChild(image_3);
    image_3 = new createjs.Shape();
    
    image_3.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, height/ 2).lineTo(width, height/ 2).lineTo(width, 0).lineTo(0, 0)
        .moveTo(0, 0).lineTo(0, -height/ 2).lineTo(width, -height/ 2).lineTo(width, 0).lineTo(0, 0)
        .endStroke();
    image_3.x = x;
    image_3.y = y;
    image_3.width = width;
    image_3.height = height;
    image_3.cursor = "pointer";    
    
    image_3.settedFlag = false;
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_4(stage, x, y, width, height) {
    stage.removeChild(image_4);
    image_4 = new createjs.Shape();
    image_4.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -2.5).lineTo(width, -2.5).lineTo(width, 2.5).lineTo(0, 2.5).lineTo(0, 0)
        .setStrokeDash([5, 5])
        .moveTo(width, 2.5).lineTo(width, width).arc(width, 2.5, width, 0.5 * Math.PI, 1 * Math.PI)
        .endStroke();
    image_4.x = x;
    image_4.y = y;
    image_4.width = width;
    image_4.height = height;
    image_4.cursor = "pointer";
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_topY);
}

function createImage_5(stage, x, y, width, height) {
    stage.removeChild(image_5);
    image_5 = new createjs.Shape();
    image_5.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -height / 2).lineTo(width, -height / 2).lineTo(width, 0).lineTo(0, 0)
        .lineTo(0, height / 2).lineTo(width, height / 2).lineTo(width, 0)
        .endStroke();
    image_5.x = x;
    image_5.y = y;
    image_5.width = width;
    image_5.height = height;
    image_5.cursor = "pointer";
    
    image_5.settedFlag = false;
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_6(stage, x, y, width, height) {
    stage.removeChild(image_6);
    image_6 = new createjs.Shape();
    image_6.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -height / 2).lineTo(width, -height / 2).lineTo(width, height / 2).lineTo(0, height / 2).lineTo(0, 0)
        .moveTo(0, -2).lineTo(width / 2, -2)
        .moveTo(width / 2, 2).lineTo(width, 2)
        .endStroke();
    image_6.x = x;
    image_6.y = y;
    image_6.width = width;
    image_6.height = height;
    image_6.cursor = "pointer";
    
    image_6.settedFlag = false;
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_7(stage, x, y, width, height) {
    stage.removeChild(image_7);
    image_7 = new createjs.Shape();
    image_7.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -height / 2).lineTo(width, -height / 2).lineTo(width, height / 2).lineTo(0, height / 2).lineTo(0, 0)
        .moveTo(width / 3, 0).lineTo(width, 0)
        .endStroke();
    image_7.x = x;
    image_7.y = y;
    image_7.width = width;
    image_7.height = height;
    image_7.cursor = "pointer";
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_8(stage, x, y, width, height) {
    stage.removeChild(image_8);
    image_8 = new createjs.Shape();
    image_8.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -height / 2).lineTo(width, -height / 2).lineTo(width, height / 2).lineTo(0, height / 2).lineTo(0, 0)
        .moveTo(5, -height / 2).lineTo(5, height / 2)
        .moveTo(width - 5, -height / 2).lineTo(width - 5, height / 2)
        .endStroke();
    image_8.x = x;
    image_8.y = y;
    image_8.width = width;
    image_8.height = height;
    image_8.cursor = "pointer";
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_9(stage, x, y, width, height) {
    stage.removeChild(image_9);
    image_9 = new createjs.Shape();
    image_9.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -height / 2).lineTo(width, -height / 2).lineTo(width, height / 2).lineTo(0, height / 2).lineTo(0, 0)
        .moveTo(5, -height / 2).lineTo(5, height / 2)
        .moveTo(width - 5, -height / 2).lineTo(width - 5, height / 2)
        .endStroke();
    image_9.x = x;
    image_9.y = y;
    image_9.width = width;
    image_9.height = height;
    image_9.cursor = "pointer";
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_10(stage, x, y, width, height) {
    stage.removeChild(image_10);
    image_10 = new createjs.Shape();
    image_10.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -height / 2).lineTo(width, -height / 2).lineTo(width, height / 2).lineTo(0, height / 2).lineTo(0, 0)
        .moveTo(width / 2 - 5, -height / 2).lineTo(width / 2 - 5, height / 2)
        .moveTo(width / 2 + 5, -height / 2).lineTo(width / 2 + 5, height / 2)
        .endStroke();
    image_10.x = x;
    image_10.y = y;
    image_10.width = width;
    image_10.height = height;
    image_10.cursor = "pointer";
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_11(stage, x, y, width, height) {
    stage.removeChild(image_11);
    image_11 = new createjs.Shape();
    image_11.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -height / 2).lineTo(width, -height / 2).lineTo(width, height / 2).lineTo(0, height / 2).lineTo(0, 0)
        .moveTo(width / 2 - 5, -height / 2).lineTo(width / 2 - 5, height / 2)
        .moveTo(width / 2 + 5, -height / 2).lineTo(width / 2 + 5, height / 2)
        .endStroke();
    image_11.x = x;
    image_11.y = y;
    image_11.width = width;
    image_11.height = height;
    image_11.cursor = "pointer";
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

function createImage_12(stage, x, y, width, height) {
    stage.removeChild(image_12);
    image_12 = new createjs.Shape();
    image_12.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(0, -height / 2).lineTo(width, -height / 2).lineTo(width, height / 2).lineTo(0, height / 2).lineTo(0, 0)
        .lineTo(width, 0)
        .endStroke();
    image_12.x = x;
    image_12.y = y;
    image_12.width = width;
    image_12.height = height;
    image_12.cursor = "pointer";
    
    // add type of object
    arrTypeObject.push(horizontalObject);
    arrStandardPoint.push(leftX_centerY);
}

/* Shape set to left/right wall */
function createImage_13(stage, x, y, width, height) {
    stage.removeChild(image_13);
    image_13 = new createjs.Shape();
    image_13.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .drawRect(0, 0, -height/10, height)
        .setStrokeDash([5, 5])
        .moveTo(0, 0).lineTo(height, 0)
        .arc(0, 0, height, 0 * Math.PI, 0.5 * Math.PI)
        .endStroke();
    image_13.x = x;
    image_13.y = y;
    image_13.width = width;
    image_13.height = height;
    image_13.cursor = "pointer";
    
    image_13.settedFlag = false;
    
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}

function createImage_14(stage, x, y, width, height) {
    stage.removeChild(image_14);
    image_14 = new createjs.Shape();
    image_14.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .drawRect(0, 0, -height/10, height)
        .setStrokeDash([5, 5])
        .moveTo(0, 0)
        .arc(0, height, height, 1.5 * Math.PI, 0 * Math.PI)
        .lineTo(0, height)
        .endStroke();
    image_14.x = x;
    image_14.y = y;
    image_14.width = width;
    image_14.height = height;
    image_14.cursor = "pointer";
    
    
    image_14.settedFlag = false;
    
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}

function createImage_15(stage, x, y, width, height) {
    stage.removeChild(image_15);
    image_15 = new createjs.Shape();
    image_15.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')

        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0).lineTo(0, height)
        .endStroke();
    image_15.x = x;
    image_15.y = y;
    image_15.width = width;
    image_15.height = height;
    image_15.cursor = "pointer";
    
    image_15.settedFlag = false;
    
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(leftX_topY);
}

function createImage_16(stage, x, y, width, height) {
    stage.removeChild(image_16);
    image_16 = new createjs.Shape();
    image_16.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(2.5, 0).lineTo(2.5, height).lineTo(-2.5, height).lineTo(-2.5, 0).lineTo(0, 0)
        .setStrokeDash([5, 5])
        .moveTo(-2.5, height).lineTo(-height, height).arc(-2.5, height, height, 1 * Math.PI, 1.5 * Math.PI)
        .endStroke();
    image_16.x = x;
    image_16.y = y;
    image_16.width = width;
    image_16.height = height;
    image_16.cursor = "pointer";
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(rightX_topY);
}

function createImage_17(stage, x, y, width, height) {
    stage.removeChild(image_17);
    image_17 = new createjs.Shape();
    image_17.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')

        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0).lineTo(0, height)

        .endStroke();
    image_17.x = x;
    image_17.y = y;
    image_17.width = width;
    image_17.height = height;
    image_17.cursor = "pointer";
    
    image_17.settedFlag = false;
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}

function createImage_18(stage, x, y, width, height) {
    stage.removeChild(image_18);
    image_18 = new createjs.Shape();
    image_18.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0)
        .moveTo(2, 0).lineTo(2, height / 2)
        .moveTo(-2, height / 2).lineTo(-2, height)
        .endStroke();
    image_18.x = x;
    image_18.y = y;
    image_18.width = width;
    image_18.height = height;
    image_18.cursor = "pointer";
    
    image_18.settedFlag = false;
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}

function createImage_19(stage, x, y, width, height) {
    stage.removeChild(image_19);
    image_19 = new createjs.Shape();
    image_19.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0)
        .moveTo(0, height / 3).lineTo(0, height)
        .endStroke();
    image_19.x = x;
    image_19.y = y;
    image_19.width = width;
    image_19.height = height;
    image_19.cursor = "pointer";
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}
function createImage_20(stage, x, y, width, height) {
    stage.removeChild(image_20);
    image_20 = new createjs.Shape();
    image_20.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0)
        .moveTo(width / 2, 5).lineTo(-width / 2, 5)
        .moveTo(width / 2, height - 5).lineTo(-width / 2, height - 5)
        .endStroke();
    image_20.x = x;
    image_20.y = y;
    image_20.width = width;
    image_20.height = height;
    image_20.cursor = "pointer";
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}

function createImage_21(stage, x, y, width, height) {
    stage.removeChild(image_21);
    image_21 = new createjs.Shape();
    image_21.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0)
        .moveTo(width / 2, 5).lineTo(-width / 2, 5)
        .moveTo(width / 2, height - 5).lineTo(-width / 2, height - 5)
        .endStroke();
    image_21.x = x;
    image_21.y = y;
    image_21.width = width;
    image_21.height = height;
    image_21.cursor = "pointer";
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}

function createImage_22(stage, x, y, width, height) {
    stage.removeChild(image_22);
    image_22 = new createjs.Shape();
    image_22.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0)
        .moveTo(width / 2, height / 2 - 5).lineTo(-width / 2, height / 2 - 5)
        .moveTo(width / 2, height / 2 + 5).lineTo(-width / 2, height / 2 + 5)
        .endStroke();
    image_22.x = x;
    image_22.y = y;
    image_22.width = width;
    image_22.height = height;
    image_22.cursor = "pointer";
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}

function createImage_23(stage, x, y, width, height) {
    stage.removeChild(image_23);
    image_23 = new createjs.Shape();
    image_23.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0)
        .moveTo(width / 2, height / 2 - 5).lineTo(-width / 2, height / 2 - 5)
        .moveTo(width / 2, height / 2 + 5).lineTo(-width / 2, height / 2 + 5)
        .endStroke();
    image_23.x = x;
    image_23.y = y;
    image_23.width = width;
    image_23.height = height;
    image_23.cursor = "pointer";
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}

function createImage_24(stage, x, y, width, height) {
    stage.removeChild(image_24);
    image_24 = new createjs.Shape();
    image_24.graphics.setStrokeStyle(padding).beginStroke('#000000').beginFill('#FFFFFF')
        .moveTo(0, 0).lineTo(width / 2, 0).lineTo(width / 2, height).lineTo(-width / 2, height).lineTo(-width / 2, 0).lineTo(0, 0)
        .lineTo(0, height)
        .endStroke();
    image_24.x = x;
    image_24.y = y;
    image_24.width = width;
    image_24.height = height;
    image_24.cursor = "pointer";
    // add type of object
    arrTypeObject.push(verticalObject);
    arrStandardPoint.push(centerX_topY);
}